GroovyParser.IfElseStatementContext (Groovy 5.0.8)

Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.IfElseStatementContext

- org.apache.groovy.parser.antlr4.GroovyParser.IfElseStatementContext

-     public static class GroovyParser.IfElseStatementContext
      extends GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `StatementContext` | `fb` |
    `StatementContext` | `tb` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IfElseStatementContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `ELSE()`
    `` | `public TerminalNode` | `IF()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public ExpressionInParContext` | `expressionInPar()`
    `` | `public int` | `getRuleIndex()`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public NlsContext` | `nls(int i)`
    `` | `public SepContext` | `sep()`
    `` | `public List<? extends StatementContext>` | `statement()`
    `` | `public StatementContext` | `statement(int i)`

- - ### Field Detail

    - #### public StatementContext fb

    - #### public StatementContext tb

  - ### Constructor Detail

    - #### public IfElseStatementContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode ELSE()

    - #### public TerminalNode IF()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public ExpressionInParContext expressionInPar()

    - #### @Override
      public int getRuleIndex()

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)

    - #### public SepContext sep()

    - #### public List<? extends StatementContext> statement()

    - #### public StatementContext statement(int i)